Bug 27908 - Add support for circulation status 1 ( other ) for damaged items
Summary: Add support for circulation status 1 ( other ) for damaged items
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 27907
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-09 18:29 UTC by Kyle M Hall
Modified: 2021-08-16 18:34 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.02,20.11.09


Attachments
Bug 27908: Add unit test (1.32 KB, patch)
2021-03-10 15:48 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27908: Add unit test (1.32 KB, patch)
2021-03-10 17:17 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27908: Add support for circulation status 1 ( other ) for damaged items (2.34 KB, patch)
2021-03-10 17:18 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27908: Add unit test (1.42 KB, patch)
2021-04-22 10:30 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27908: Add support for circulation status 1 ( other ) for damaged items (2.44 KB, patch)
2021-04-22 10:30 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27908: Add unit test (1.47 KB, patch)
2021-07-09 12:04 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27908: Add support for circulation status 1 ( other ) for damaged items (2.49 KB, patch)
2021-07-09 12:04 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2021-03-09 18:29:11 UTC

    
Comment 1 Kyle M Hall 2021-03-10 15:48:14 UTC
Created attachment 118031 [details] [review]
Bug 27908: Add unit test
Comment 2 Kyle M Hall 2021-03-10 17:17:54 UTC
Created attachment 118074 [details] [review]
Bug 27908: Add unit test
Comment 3 Kyle M Hall 2021-03-10 17:18:02 UTC
Created attachment 118075 [details] [review]
Bug 27908: Add support for circulation status 1 ( other ) for damaged items

Some libraries would like to transmit if an item is damaged via the
circulation status field. There is no specific code for a damaged item,
so we should use value 1 (other) along with an AF screen message to
describe the reason for the the circulation status of 1.

Test Plan:
1) Apply these patches
2) prove t/db_dependent/SIP/Transaction.t
Comment 4 Kyle M Hall 2021-04-22 10:30:10 UTC
Created attachment 119991 [details] [review]
Bug 27908: Add unit test

Signed-off-by: Christopher Kellermeyer - Altadena Library District <ckellermeyer@altadenalibrary.org>
Comment 5 Kyle M Hall 2021-04-22 10:30:26 UTC
Created attachment 119992 [details] [review]
Bug 27908: Add support for circulation status 1 ( other ) for damaged items

Some libraries would like to transmit if an item is damaged via the
circulation status field. There is no specific code for a damaged item,
so we should use value 1 (other) along with an AF screen message to
describe the reason for the the circulation status of 1.

Test Plan:
1) Apply these patches
2) prove t/db_dependent/SIP/Transaction.t

Signed-off-by: Christopher Kellermeyer - Altadena Library District <ckellermeyer@altadenalibrary.org>
Comment 6 Martin Renvoize 2021-07-09 12:04:41 UTC
Created attachment 122733 [details] [review]
Bug 27908: Add unit test

Signed-off-by: Christopher Kellermeyer - Altadena Library District <ckellermeyer@altadenalibrary.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2021-07-09 12:04:49 UTC
Created attachment 122734 [details] [review]
Bug 27908: Add support for circulation status 1 ( other ) for damaged items

Some libraries would like to transmit if an item is damaged via the
circulation status field. There is no specific code for a damaged item,
so we should use value 1 (other) along with an AF screen message to
describe the reason for the the circulation status of 1.

Test Plan:
1) Apply these patches
2) prove t/db_dependent/SIP/Transaction.t

Signed-off-by: Christopher Kellermeyer - Altadena Library District <ckellermeyer@altadenalibrary.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Martin Renvoize 2021-07-09 12:05:16 UTC
All good again here..

Passing QA
Comment 9 Jonathan Druart 2021-07-12 13:49:11 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 10 Kyle M Hall 2021-07-16 13:08:12 UTC
Pushed to 21.05.x for 21.05.02
Comment 11 Fridolin Somers 2021-08-02 21:38:50 UTC
Pushed to 20.11.x for 20.11.09
Comment 12 Victor Grousset/tuxayo 2021-08-16 18:34:55 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.